### Name: bolus.ggplot
### Title: Create a bolus object
### Aliases: bolus.ggplot bolus bolus.proto digest.ggplot digest.proto
### Keywords: internal

### ** Examples
hash_tests <- list(
list(
ggplot() + scale_x_continuous() + scale_y_continuous(),
ggplot() + scale_y_continuous() + scale_x_continuous()
),
list(
qplot(mpg, wt, data=mtcars, na.rm = FALSE),
ggplot(mtcars, aes(y=wt, x=mpg)) + geom_point()
),
list(
qplot(mpg, wt, data=mtcars, xlab = "blah"),
qplot(mpg, wt, data=mtcars) + scale_x_continuous("blah")
)
)

lapply(hash_tests, function(equal) {
hashes <- lapply(equal, digest.ggplot)

if (length(unique(hashes)) != 1) {
lapply(equal, function(x) print(str(bolus(x))))
stop("Above plots not equal")
}
})


