### Name: borders
### Title: Map borders.
### Aliases: borders


### ** Examples
if (require(maps)) {
ia <- map_data("county", "iowa")
mid_range <- function(x) mean(range(x))
seats <- ddply(ia, .(subregion), colwise(mid_range, .(lat, long)))
ggplot(seats, aes(long, lat)) + 
geom_polygon(aes(group = group), fill = NA, colour = "grey60") +
geom_text(aes(label = subregion), data = seats, size = 2, angle = 45)

data(us.cities)
capitals <- subset(us.cities, capital == 2)
ggplot(capitals, aes(long, lat)) +
borders("state") + 
geom_point(aes(size = pop)) + 
scale_area()
}


