### Name: coord_cartesian
### Title: coord_cartesian
### Aliases: coord_cartesian CoordCartesian
### Keywords: hplot

### ** Examples
## Not run: 
##D # There are two ways of zooming the plot display: with scales or 
##D # with coordinate systems.  They work in two rather different ways.
##D 
##D (p <- qplot(disp, wt, data=mtcars) + geom_smooth())
##D 
##D # Setting the limits on a scale will throw away all data that's not
##D # inside these limits.  This is equivalent to plotting a subset of
##D # the original data
##D p + scale_x_continuous(limits = c(325, 500))
##D 
##D # Setting the limits on the coordinate system performs a visual zoom
##D # the data is unchanged, and we just view a small portion of the original
##D # plot.  See how the axis labels are the same as the original data, and 
##D # the smooth continue past the points visible on this plot.
##D p + coord_cartesian(xlim = c(325, 500))
##D 
##D # You can see the same thing with this 2d histogram
##D (d <- ggplot(diamonds, aes(carat, price)) + 
##D   stat_bin2d(bins = 25, colour="grey50"))
##D 
##D # When zooming the scale, the we get 25 new bins that are the same
##D # size on the plot, but represent smaller regions of the data space
##D d + scale_x_continuous(limits = c(0, 2))
##D 
##D # When zooming the coordinate system, we see a subset of original 50 bins, 
##D # displayed bigger
##D d + coord_cartesian(xlim = c(0, 2))
##D   
## End(Not run)


