### Name: coord_polar
### Title: coord_polar
### Aliases: coord_polar CoordPolar
### Keywords: hplot

### ** Examples
## Not run: 
##D # NOTE: Use these plots with caution - polar coordinates has
##D # major perceptual problems.  The main point of these examples is 
##D # to demonstrate how these common plots can be described in the
##D # grammar.  Use with EXTREME caution.
##D 
##D # A coxcomb plot = bar chart + polar coordinates
##D cxc <- ggplot(mtcars, aes(x = factor(cyl))) + 
##D   geom_bar(width = 1, colour = "black")
##D cxc + coord_polar()
##D # A new type of plot?
##D cxc + coord_polar(theta = "y")
##D 
##D # A pie chart = stacked bar chart + polar coordinates
##D pie <- ggplot(mtcars, aes(x = factor(1), fill = factor(cyl))) +
##D  geom_bar(width = 1)
##D pie + coord_polar(theta = "y")
##D 
##D # The bullseye chart
##D pie + coord_polar()
##D 
##D # Hadley's favourite pie chart
##D df <- data.frame(
##D   variable = c("resembles", "does not resemble"),
##D   value = c(80, 20)
##D )
##D ggplot(df, aes(x = "", y = value, fill = variable)) + 
##D   geom_bar(width = 1) + 
##D   scale_fill_manual(values = c("red", "yellow")) + 
##D   coord_polar("y", start=pi / 3) + 
##D   opts(title = "Pac man")
##D 
##D # Windrose + doughnut plot
##D movies$rrating <- cut_interval(movies$rating, length = 1)
##D movies$budgetq <- cut_number(movies$budget, 4)
##D 
##D doh <- ggplot(movies, aes(x = rrating, fill = budgetq))
##D 
##D # Wind rose
##D doh + geom_bar(width = 1) + coord_polar()
##D # Race track plot
##D doh + geom_bar(width = 0.9, position = "fill") + coord_polar(theta = "y")
## End(Not run)


