### Name: facet_wrap
### Title: facet_wrap
### Aliases: facet_wrap FacetWrap
### Keywords: hplot

### ** Examples
## Not run: 
##D d <- ggplot(diamonds, aes(carat, price, fill = ..density..)) + 
##D   xlim(0, 2) + stat_binhex(na.rm = TRUE) + opts(aspect.ratio = 1)
##D d + facet_wrap(~ color)
##D d + facet_wrap(~ color, ncol = 4)
##D d + facet_wrap(~ color, nrow = 3)
##D 
##D # Using multiple variables continues to wrap the long ribbon of 
##D # plots into 2d - the ribbon just gets longer
##D # d + facet_wrap(~ color + cut)
##D 
##D # You can choose to keep the scales constant across all panels
##D # or vary the x scale, the y scale or both:
##D p <- qplot(price, data = diamonds, geom = "histogram", binwidth = 1000)
##D p + facet_wrap(~ color)
##D p + facet_wrap(~ color, scales = "free_y")
##D 
##D p <- qplot(displ, hwy, data = mpg)
##D p + facet_wrap(~ cyl)
##D p + facet_wrap(~ cyl, scales = "free") 
##D 
##D # Add data that does not contain all levels of the faceting variables
##D cyl6 <- subset(mpg, cyl == 6)
##D p + geom_point(data = cyl6, colour = "red", size = 1) + 
##D   facet_wrap(~ cyl)
##D p + geom_point(data = transform(cyl6, cyl = 7), colour = "red") + 
##D   facet_wrap(~ cyl)
##D 
## End(Not run)


