### Name: geom_abline
### Title: geom_abline
### Aliases: geom_abline GeomAbline
### Keywords: hplot

### ** Examples
## Not run: 
##D p <- qplot(wt, mpg, data = mtcars)
##D 
##D # Fixed slopes and intercepts
##D p + geom_abline()
##D p + geom_abline(intercept = 20)
##D 
##D # Calculate slope and intercept of line of best fit
##D coef(lm(mpg ~ wt, data = mtcars))
##D p + geom_abline(intercept = 37, slope = -5)
##D p + geom_abline(intercept=10, colour="red", size=2)
##D 
##D # See ?stat_smooth for fitting smooth models to data
##D p + stat_smooth(method="lm", se=FALSE)
##D 
##D # Slopes and intercepts as data
##D p <- ggplot(mtcars, aes(x = wt, y=mpg), . ~ cyl) + geom_point()
##D df <- data.frame(a=rnorm(10, 25), b=rnorm(10, 0))
##D p + geom_abline(aes(intercept=a, slope=b), data=df)
##D 
##D # Slopes and intercepts from linear model
##D coefs <- ddply(mtcars, .(cyl), function(df) { 
##D   m <- lm(mpg ~ wt, data=df)
##D   data.frame(a = coef(m)[1], b = coef(m)[2]) 
##D })
##D str(coefs)
##D p + geom_abline(data=coefs, aes(intercept=a, slope=b))
##D 
##D # It's actually a bit easier to do this with stat_smooth
##D p + geom_smooth(aes(group=cyl), method="lm")
##D p + geom_smooth(aes(group=cyl), method="lm", fullrange=TRUE)
##D 
## End(Not run)


