### Name: geom_bar
### Title: geom_bar
### Aliases: geom_bar GeomBar
### Keywords: hplot

### ** Examples
## Not run: 
##D # Generate data
##D c <- ggplot(mtcars, aes(x=factor(cyl)))
##D 
##D c + geom_bar()
##D c + geom_bar() + coord_flip()
##D c + geom_bar(fill="white", colour="darkgreen")
##D 
##D # Use qplot
##D qplot(factor(cyl), data=mtcars, geom="bar")
##D qplot(factor(cyl), data=mtcars, geom="bar", fill=factor(cyl))
##D 
##D # Stacked bar charts    
##D qplot(factor(cyl), data=mtcars, geom="bar", fill=factor(vs))
##D qplot(factor(cyl), data=mtcars, geom="bar", fill=factor(gear))
##D 
##D ggplot(diamonds, aes(x=clarity, fill=cut)) + geom_bar()
##D ggplot(diamonds, aes(x=color, fill=cut)) + geom_bar() + coord_flip()
##D ggplot(diamonds, aes(x=price, fill=cut)) + geom_bar()
##D 
##D # Dodged bar charts    
##D ggplot(diamonds, aes(x=clarity, fill=cut)) + geom_bar(position="dodge")
##D # compare with 
##D ggplot(diamonds, aes(x=cut, fill=cut)) + geom_bar() + facet_grid(. ~ clarity)
##D 
##D # But may be better to use a frequency polygons instead:
##D ggplot(diamonds, aes(x=clarity, colour=cut)) + 
##D   geom_freqpoly(aes(group = cut))
##D 
##D # Often we don't want the height of the bar to represent the
##D # count of observations, but the sum of some other variable.
##D # For example, the following plot shows the number of diamonds
##D # of each colour
##D qplot(color, data=diamonds, geom="bar")
##D # If, however, we want to see the total number of carats in each colour
##D # we need to weight by the carat variable
##D qplot(color, data=diamonds, geom="bar", weight=carat, ylab="carat")
##D 
##D # A bar chart used to display means
##D meanprice <- tapply(diamonds$price, diamonds$cut, mean)
##D cut <- factor(levels(diamonds$cut), levels = levels(diamonds$cut))
##D qplot(cut, meanprice)
##D qplot(cut, meanprice, geom="bar", stat="identity")
##D qplot(cut, meanprice, geom="bar", stat="identity", fill = I("grey50"))
## End(Not run)


