### Name: geom_boxplot
### Title: geom_boxplot
### Aliases: geom_boxplot GeomBoxplot
### Keywords: hplot

### ** Examples
## Not run: 
##D p <- ggplot(mtcars, aes(factor(cyl), mpg))
##D 
##D p + geom_boxplot()
##D qplot(factor(cyl), mpg, data = mtcars, geom = "boxplot")
##D 
##D p + geom_boxplot() + geom_jitter()
##D p + geom_boxplot() + coord_flip()
##D qplot(factor(cyl), mpg, data = mtcars, geom = "boxplot") +
##D   coord_flip()
##D 
##D p + geom_boxplot(outlier.colour = "green", outlier.size = 3)
##D 
##D # Add aesthetic mappings
##D # Note that boxplots are automatically dodged when any aesthetic is 
##D # a factor
##D p + geom_boxplot(aes(fill = cyl))
##D p + geom_boxplot(aes(fill = factor(cyl)))
##D p + geom_boxplot(aes(fill = factor(vs)))
##D p + geom_boxplot(aes(fill = factor(am)))
##D 
##D # Set aesthetics to fixed value
##D p + geom_boxplot(fill="grey80", colour="#3366FF")
##D qplot(factor(cyl), mpg, data = mtcars, geom = "boxplot", 
##D   colour = I("#3366FF"))
##D 
##D # Scales vs. coordinate transforms -------
##D # Scale transformations occur before the boxplot statistics are computed.
##D # Coordinate transformations occur afterwards.  Observe the effect on the
##D # number of outliers.
##D m <- ggplot(movies, aes(y = votes, x = rating,
##D    group = round_any(rating, 0.5)))
##D m + geom_boxplot()
##D m + geom_boxplot() + scale_y_log10()
##D m + geom_boxplot() + coord_trans(y = "log10")
##D m + geom_boxplot() + scale_y_log10() + coord_trans(y = "log10")
##D 
##D # Boxplots with continuous x:
##D # Use the group aesthetic to group observations in boxplots
##D qplot(year, budget, data = movies, geom = "boxplot")
##D qplot(year, budget, data = movies, geom = "boxplot", 
##D   group = round_any(year, 10, floor))
##D 
## End(Not run)


