### Name: geom_errorbar
### Title: geom_errorbar
### Aliases: geom_errorbar GeomErrorbar
### Keywords: hplot

### ** Examples
## Not run: 
##D # Create a simple example dataset
##D df <- data.frame(
##D   trt = factor(c(1, 1, 2, 2)), 
##D   resp = c(1, 5, 3, 4), 
##D   group = factor(c(1, 2, 1, 2)), 
##D   se = c(0.1, 0.3, 0.3, 0.2)
##D )
##D df2 <- df[c(1,3),]
##D 
##D # Define the top and bottom of the errorbars
##D limits <- aes(ymax = resp + se, ymin=resp - se)
##D 
##D p <- ggplot(df, aes(fill=group, y=resp, x=trt))
##D p + geom_bar(position="dodge", stat="identity")
##D 
##D # Because the bars and errorbars have different widths
##D # we need to specify how wide the objects we are dodging are
##D dodge <- position_dodge(width=0.9)
##D p + geom_bar(position=dodge) + geom_errorbar(limits, position=dodge, width=0.25)
##D 
##D p <- ggplot(df2, aes(fill=group, y=resp, x=trt))
##D p + geom_bar(position=dodge)
##D p + geom_bar(position=dodge) + geom_errorbar(limits, position=dodge, width=0.25)
##D 
##D p <- ggplot(df, aes(colour=group, y=resp, x=trt))
##D p + geom_point() + geom_errorbar(limits, width=0.2)
##D p + geom_pointrange(limits)
##D p + geom_crossbar(limits, width=0.2)
##D 
##D # If we want to draw lines, we need to manually set the
##D # groups which define the lines - here the groups in the 
##D # original dataframe
##D p + geom_line(aes(group=group)) + geom_errorbar(limits, width=0.2)    
## End(Not run)


