### Name: geom_line
### Title: geom_line
### Aliases: geom_line GeomLine
### Keywords: hplot

### ** Examples
## Not run: 
##D # Summarise number of movie ratings by year of movie
##D mry <- do.call(rbind, by(movies, round(movies$rating), function(df) { 
##D   nums <- tapply(df$length, df$year, length)
##D   data.frame(rating=round(df$rating[1]), year = as.numeric(names(nums)), number=as.vector(nums))
##D }))
##D 
##D p <- ggplot(mry, aes(x=year, y=number, group=rating))
##D p + geom_line()
##D 
##D # Add aesthetic mappings
##D p + geom_line(aes(size = rating))
##D p + geom_line(aes(colour = rating))
##D 
##D # Change scale
##D p + geom_line(aes(colour = rating)) + scale_colour_gradient(low="red")
##D p + geom_line(aes(size = rating)) + scale_size(to = c(0.1, 3))
##D 
##D # Set aesthetics to fixed value
##D p + geom_line(colour = "red", size = 1)
##D 
##D # Use qplot instead
##D qplot(year, number, data=mry, group=rating, geom="line")
##D 
##D # Using a time series
##D qplot(date, pop, data=economics, geom="line")
##D qplot(date, pop, data=economics, geom="line", log="y")
##D qplot(date, pop, data=subset(economics, date > as.Date("2006-1-1")), geom="line")
##D qplot(date, pop, data=economics, size=unemploy/pop, geom="line")
##D 
##D # See scale_date for examples of plotting multiple times series on
##D # a single graph
## End(Not run)


