### Name: geom_linerange
### Title: geom_linerange
### Aliases: geom_linerange GeomLinerange
### Keywords: hplot

### ** Examples
## Not run: 
##D # Generate data: means and standard errors of means for prices
##D # for each type of cut
##D dmod <- lm(price ~ cut, data=diamonds)
##D cuts <- data.frame(cut=unique(diamonds$cut), predict(dmod, data.frame(cut = unique(diamonds$cut)), se=T)[c("fit","se.fit")])
##D 
##D qplot(cut, fit, data=cuts)
##D # With a bar chart, we are comparing lengths, so the y-axis is 
##D # automatically extended to include 0
##D qplot(cut, fit, data=cuts, geom="bar")
##D 
##D # Display estimates and standard errors in various ways
##D se <- ggplot(cuts, aes(x = cut, ymin=fit - se.fit, ymax=fit + se.fit, y=fit))
##D se + geom_linerange()
##D se + geom_pointrange()
##D se + geom_errorbar(width = 0.5)
##D se + geom_crossbar(width = 0.5)
##D 
##D # Use coord_flip to flip the x and y axes
##D se + geom_linerange() + coord_flip()
## End(Not run)


