### Name: geom_point
### Title: geom_point
### Aliases: geom_point GeomPoint
### Keywords: hplot

### ** Examples
## Not run: 
##D p <- ggplot(mtcars, aes(wt, mpg))
##D p + geom_point()
##D 
##D # Add aesthetic mappings
##D p + geom_point(aes(colour = qsec))
##D p + geom_point(aes(colour = cyl))
##D p + geom_point(aes(colour = factor(cyl)))
##D p + geom_point(aes(shape = factor(cyl)))
##D p + geom_point(aes(size = qsec))
##D 
##D # Change scales
##D p + geom_point(aes(colour = cyl)) + scale_colour_gradient(low = "red")
##D p + geom_point(aes(size = qsec)) + scale_area()
##D p + geom_point(aes(shape = factor(cyl))) + scale_shape(solid = FALSE)
##D 
##D # Set aesthetics to fixed value
##D p + geom_point(colour = "red", size = 3)
##D qplot(wt, mpg, data = mtcars, colour = I("red"), size = I(3))
##D 
##D # You can create interesting shapes by layering multiple points of
##D # different sizes
##D p <- ggplot(mtcars, aes(mpg, wt))
##D p + geom_point(colour="grey50", size = 4) + geom_point(aes(colour = cyl))  
##D p + aes(shape = factor(cyl)) + 
##D   geom_point(aes(colour = factor(cyl)), size = 4) +
##D   geom_point(colour="grey90", size = 1.5)
##D p + geom_point(colour="black", size = 4.5) + 
##D   geom_point(colour="pink", size = 4) + 
##D   geom_point(aes(shape = factor(cyl)))  
##D     
##D # These extra layers don't usually appear in the legend, but we can
##D # force their inclusion
##D p + geom_point(colour="black", size = 4.5, legend = TRUE) + 
##D   geom_point(colour="pink", size = 4, legend = TRUE) + 
##D   geom_point(aes(shape = factor(cyl)))  
##D     
##D # Transparent points:
##D qplot(mpg, wt, data = mtcars, size = I(5), 
##D   colour=I(alpha("black", 0.2)))
##D 
##D # geom_point warns when missing values have been dropped from the data set
##D # and not plotted, you can turn this off by setting na.rm = TRUE
##D mtcars2 <- transform(mtcars, mpg = ifelse(runif(32) < 0.2, NA, mpg))
##D qplot(wt, mpg, data = mtcars2)
##D qplot(wt, mpg, data = mtcars2, na.rm = TRUE)
##D 
##D # Use qplot instead
##D qplot(wt, mpg, data = mtcars)
##D qplot(wt, mpg, data = mtcars, colour = factor(cyl))
##D qplot(wt, mpg, data = mtcars, colour = I("red"))
## End(Not run)


