### Name: geom_polygon
### Title: geom_polygon
### Aliases: geom_polygon GeomPolygon
### Keywords: hplot

### ** Examples
## Not run: 
##D # When using geom_polygon, you will typically need two data frames:
##D # one contains the coordinates of each polygon (positions),  and the
##D # other the values associated with each polygon (values).  An id
##D # variable links the two together
##D 
##D ids <- factor(c("1.1", "2.1", "1.2", "2.2", "1.3", "2.3"))
##D 
##D values <- data.frame(
##D   id = ids, 
##D   value = c(3, 3.1, 3.1, 3.2, 3.15, 3.5)
##D )
##D 
##D positions <- data.frame(
##D   id = rep(ids, each = 4),
##D   x = c(2, 1, 1.1, 2.2, 1, 0, 0.3, 1.1, 2.2, 1.1, 1.2, 2.5, 1.1, 0.3, 
##D   0.5, 1.2, 2.5, 1.2, 1.3, 2.7, 1.2, 0.5, 0.6, 1.3),
##D   y = c(-0.5, 0, 1, 0.5, 0, 0.5, 1.5, 1, 0.5, 1, 2.1, 1.7, 1, 1.5, 
##D   2.2, 2.1, 1.7, 2.1, 3.2, 2.8, 2.1, 2.2, 3.3, 3.2)
##D )
##D 
##D # Currently we need to manually merge the two together
##D datapoly <- merge(values, positions, by=c("id"))
##D 
##D (p <- ggplot(datapoly, aes(x=x, y=y)) + geom_polygon(aes(fill=value, group=id)))
##D 
##D # Which seems like a lot of work, but then it's easy to add on 
##D # other features in this coordinate system, e.g.:
##D 
##D stream <- data.frame(
##D   x = cumsum(runif(50, max = 0.1)), 
##D   y = cumsum(runif(50,max = 0.1))
##D )
##D 
##D p + geom_line(data = stream, colour="grey30", size = 5)
##D 
##D # And if the positions are in longitude and latitude, you can use
##D # coord_map to produce different map projections.
## End(Not run)


