### Name: geom_ribbon
### Title: geom_ribbon
### Aliases: geom_ribbon GeomRibbon
### Keywords: hplot

### ** Examples
## Not run: 
##D # Generate data
##D huron <- data.frame(year = 1875:1972, level = as.vector(LakeHuron))
##D huron$decade <- round_any(huron$year, 10, floor)
##D 
##D h <- ggplot(huron, aes(x=year))
##D 
##D h + geom_ribbon(aes(ymin=0, ymax=level))
##D h + geom_area(aes(y = level))
##D 
##D # Add aesthetic mappings
##D h + geom_ribbon(aes(ymin=level-1, ymax=level+1))
##D h + geom_ribbon(aes(ymin=level-1, ymax=level+1)) + geom_line(aes(y=level))
##D 
##D # Another data set, with multiple y's for each x
##D m <- ggplot(movies, aes(y=votes, x=year)) 
##D (m <- m + geom_point())
##D 
##D # The default summary isn't that useful
##D m + stat_summary(geom="ribbon", fun.ymin="min", fun.ymax="max")
##D m + stat_summary(geom="ribbon", fun.data="median_hilow")
##D 
##D # Use qplot instead
##D qplot(year, level, data=huron, geom=c("area", "line"))
## End(Not run)


