### Name: geom_smooth
### Title: geom_smooth
### Aliases: geom_smooth GeomSmooth
### Keywords: hplot

### ** Examples
## Not run: 
##D # See stat_smooth for examples of using built in model fitting
##D # if you need some more flexible, this example shows you how to
##D # plot the fits from any model of your choosing
##D 
##D library(ggplot2)
##D qplot(wt, mpg, data=mtcars, colour=factor(cyl))
##D 
##D model <- lm(mpg ~ wt + factor(cyl), data=mtcars)
##D grid <- with(mtcars, expand.grid(
##D   wt = seq(min(wt), max(wt), length = 20),
##D   cyl = levels(factor(cyl))
##D ))
##D 
##D grid$mpg <- stats::predict(model, newdata=grid)
##D 
##D qplot(wt, mpg, data=mtcars, colour=factor(cyl)) + geom_line(data=grid)
##D 
##D # or with standard errors
##D 
##D err <- stats::predict(model, newdata=grid, se = TRUE)
##D grid$ucl <- err$fit + 1.96 * err$se.fit
##D grid$lcl <- err$fit - 1.96 * err$se.fit
##D 
##D qplot(wt, mpg, data=mtcars, colour=factor(cyl)) + geom_smooth(aes(min=lcl, max=ucl), data=grid, stat="identity") 
## End(Not run)


