### Name: scale_brewer
### Title: scale_brewer
### Aliases: scale_brewer scale_colour_brewer scale_fill_brewer ScaleBrewer
### Keywords: hplot

### ** Examples
## Not run: 
##D dsamp <- diamonds[sample(nrow(diamonds), 1000), ]
##D (d <- qplot(carat, price, data=dsamp, colour=clarity))
##D 
##D # Change scale label
##D d + scale_colour_brewer()
##D d + scale_colour_brewer("clarity")
##D d + scale_colour_brewer(expression(clarity[beta]))
##D 
##D # Select brewer palette to use, see ?brewer.pal for more details
##D d + scale_colour_brewer(type="seq")
##D d + scale_colour_brewer(type="seq", palette=3)
##D 
##D RColorBrewer::display.brewer.all(n=8, exact.n=FALSE)
##D 
##D d + scale_colour_brewer(palette="Blues")
##D d + scale_colour_brewer(palette="Set1")
##D 
##D # One way to deal with overplotting - use transparency
##D # (only works with pdf, quartz and cairo devices)
##D d + scale_colour_brewer(alpha = 0.5)
##D d + scale_colour_brewer(alpha = 0.2)
##D   
##D # scale_fill_brewer works just the same as 
##D # scale_colour_brewer but for fill colours
##D ggplot(diamonds, aes(x=price, fill=cut)) + 
##D   geom_histogram(position="dodge", binwidth=1000) + 
##D   scale_fill_brewer()
##D 
## End(Not run)


