### Name: scale_continuous
### Title: scale_continuous
### Aliases: scale_continuous scale_x_continuous scale_y_continuous
###   ScaleContinuous
### Keywords: hplot

### ** Examples
## Not run: 
##D (m <- qplot(rating, votes, data=subset(movies, votes > 1000), na.rm = T))
##D 
##D # Manipulating the default position scales lets you:
##D 
##D #  * change the axis labels
##D m + scale_y_continuous("number of votes")
##D m + scale_y_continuous(expression(votes^alpha))
##D 
##D #  * modify the axis limits
##D m + scale_y_continuous(limits=c(0, 5000))
##D m + scale_y_continuous(limits=c(1000, 10000))
##D m + scale_x_continuous(limits=c(7, 8))
##D 
##D # you can also use the short hand functions xlim and ylim
##D m + ylim(0, 5000)
##D m + ylim(1000, 10000)
##D m + xlim(7, 8)
##D 
##D #  * choose where the ticks appear
##D m + scale_x_continuous(breaks=1:10)
##D m + scale_x_continuous(breaks=c(1,3,7,9))
##D 
##D #  * manually label the ticks
##D m + scale_x_continuous(breaks=c(2,5,8), labels=c("two", "five", "eight"))
##D m + scale_x_continuous(breaks=c(2,5,8), labels=c("horrible", "ok", "awesome"))
##D m + scale_x_continuous(breaks=c(2,5,8), labels=expression(Alpha, Beta, Omega))
##D 
##D # There are also a wide range of transformations you can use:
##D m + scale_y_log10()
##D m + scale_y_log()
##D m + scale_y_log2()
##D m + scale_y_sqrt()
##D m + scale_y_reverse()
##D # see ?transformer for a full list
##D 
##D # You can control the formatting of the labels with the formatter
##D # argument.  Some common formats are built in:
##D x <- rnorm(10) * 100000
##D y <- seq(0, 1, length = 10)
##D p <- qplot(x, y)
##D p + scale_y_continuous(formatter = "percent")
##D p + scale_y_continuous(formatter = "dollar")
##D p + scale_x_continuous(formatter = "comma")
##D 
##D # qplot allows you to do some of this with a little less typing:
##D #   * axis limits
##D qplot(rating, votes, data=movies, ylim=c(1e4, 5e4))
##D #   * axis labels
##D qplot(rating, votes, data=movies, xlab="My x axis", ylab="My y axis")
##D #   * log scaling
##D qplot(rating, votes, data=movies, log="xy")
## End(Not run)


