### Name: scale_discrete
### Title: scale_discrete
### Aliases: scale_discrete scale_x_discrete scale_y_discrete
###   scale_z_discrete ScaleDiscretePosition
### Keywords: hplot

### ** Examples
## Not run: 
##D qplot(cut, data=diamonds, stat="bin")
##D qplot(cut, data=diamonds, geom="bar")
##D 
##D # The discrete position scale is added automatically whenever you
##D # have a discrete position.
##D 
##D (d <- qplot(cut, clarity, data=subset(diamonds, carat > 1), geom="jitter"))
##D 
##D d + scale_x_discrete("Cut")
##D d + scale_x_discrete("Cut", labels=c("F","G","VG","P","I"))
##D 
##D d + scale_y_discrete("Clarity")
##D d + scale_x_discrete("Cut") + scale_y_discrete("Clarity")
##D 
##D # Use limits to adjust the which levels (and in what order)
##D # are displayed
##D d + scale_x_discrete(limits=c("Fair","Ideal"))
##D 
##D # you can also use the short hand functions xlim and ylim
##D d + xlim("Fair","Ideal", "Good")
##D d + ylim("I1", "IF")
##D 
##D # See ?reorder to reorder based on the values of another variable
##D qplot(manufacturer, cty, data=mpg)
##D qplot(reorder(manufacturer, cty), cty, data=mpg)
##D qplot(reorder(manufacturer, displ), cty, data=mpg)
##D 
##D # Use abbreviate as a formatter to reduce long names
##D qplot(reorder(manufacturer, cty), cty, data=mpg) +  
##D   scale_x_discrete(formatter = "abbreviate")
##D 
## End(Not run)


