### Name: scale_gradient
### Title: scale_gradient
### Aliases: scale_gradient scale_colour_gradient scale_fill_gradient
###   ScaleGradient scale_colour_continuous scale_fill_continuous
### Keywords: hplot

### ** Examples
## Not run: 
##D # It's hard to see, but look for the bright yellow dot 
##D # in the bottom right hand corner
##D dsub <- subset(diamonds, x > 5 & x < 6 & y > 5 & y < 6)
##D (d <- qplot(x, y, data=dsub, colour=z))
##D # That one point throws our entire scale off.  We could
##D # remove it, or manually tweak the limits of the scale
##D 
##D # Tweak scale limits.  Any points outside these
##D # limits will not be plotted, but will continue to affect the 
##D # calculate of statistics, etc
##D d + scale_colour_gradient(limits=c(3, 10))
##D d + scale_colour_gradient(limits=c(3, 4))
##D # Setting the limits manually is also useful when producing
##D # multiple plots that need to be comparable
##D 
##D # Alternatively we could try transforming the scale:
##D d + scale_colour_gradient(trans = "log")
##D d + scale_colour_gradient(trans = "sqrt")
##D 
##D # Other more trivial manipulations, including changing the name
##D # of the scale and the colours.
##D 
##D d + scale_colour_gradient("Depth")
##D d + scale_colour_gradient(expression(Depth[mm]))
##D 
##D d + scale_colour_gradient(limits=c(3, 4), low="red")
##D d + scale_colour_gradient(limits=c(3, 4), low="red", high="white")
##D # Much slower
##D d + scale_colour_gradient(limits=c(3, 4), low="red", high="white", space="Lab")
##D d + scale_colour_gradient(limits=c(3, 4), space="Lab")
##D 
##D # Can also make partially transparent
##D d + scale_colour_gradient(limits=c(3, 4), alpha=0.5)
##D 
##D # scale_fill_continuous works similarly, but for fill colours
##D (h <- qplot(x - y, data=dsub, geom="histogram", binwidth=0.01, fill=..count..))
##D h + scale_fill_continuous(low="black", high="pink", limits=c(0,3100))
## End(Not run)


