### Name: scale_gradient2
### Title: scale_gradient2
### Aliases: scale_gradient2 scale_colour_gradient2 scale_fill_gradient2
###   ScaleGradient2
### Keywords: hplot

### ** Examples
## Not run: 
##D dsub <- subset(diamonds, x > 5 & x < 6 & y > 5 & y < 6)
##D dsub$diff <- with(dsub, sqrt(abs(x-y))* sign(x-y))
##D (d <- qplot(x, y, data=dsub, colour=diff))
##D 
##D d + scale_colour_gradient2()
##D # Change scale name
##D d + scale_colour_gradient2(expression(sqrt(abs(x - y))))
##D d + scale_colour_gradient2("Difference\nbetween\nwidth and\nheight")
##D 
##D # Change limits and colours
##D d + scale_colour_gradient2(limits=c(-0.2, 0.2))
##D 
##D # Using "muted" colours makes for pleasant graphics 
##D # (and they have better perceptual properties too)
##D d + scale_colour_gradient2(low="red", high="blue")
##D d + scale_colour_gradient2(low=muted("red"), high=muted("blue"))
##D 
##D # Using the Lab colour space also improves perceptual properties
##D # at the price of slightly slower operation
##D d + scale_colour_gradient2(space="Lab")
##D 
##D # About 5
##D # idea to avoid that combination
##D d + scale_colour_gradient2(high=muted("green"))
##D 
##D # We can also make the middle stand out
##D d + scale_colour_gradient2(mid=muted("green"), high="white", low="white")
##D 
##D # or use a non zero mid point
##D (d <- qplot(carat, price, data=diamonds, colour=price/carat))
##D d + scale_colour_gradient2(midpoint=mean(diamonds$price / diamonds$carat))
##D 
##D # Fill gradients work much the same way
##D p <- qplot(letters[1:5], 1:5, fill= c(-3, 3, 5, 2, -2), geom="bar")
##D p + scale_fill_gradient2("fill")
##D # Note how positive and negative values of the same magnitude
##D # have similar intensity
## End(Not run)


