### Name: scale_hue
### Title: scale_hue
### Aliases: scale_hue scale_colour_hue scale_fill_hue ScaleHue
###   scale_colour_discrete scale_fill_discrete
### Keywords: hplot

### ** Examples
## Not run: 
##D dsamp <- diamonds[sample(nrow(diamonds), 1000), ]
##D (d <- qplot(carat, price, data=dsamp, colour=clarity))
##D   
##D # Change scale label
##D d + scale_colour_hue()
##D d + scale_colour_hue("clarity")
##D d + scale_colour_hue(expression(clarity[beta]))
##D 
##D # Adjust luminosity and chroma
##D d + scale_colour_hue(l=40, c=30)
##D d + scale_colour_hue(l=70, c=30)
##D d + scale_colour_hue(l=70, c=150)
##D d + scale_colour_hue(l=80, c=150)
##D 
##D # Change range of hues used
##D d + scale_colour_hue(h=c(0, 90))
##D d + scale_colour_hue(h=c(90, 180))
##D d + scale_colour_hue(h=c(180, 270))
##D d + scale_colour_hue(h=c(270, 360))
##D 
##D # Vary opacity
##D # (only works with pdf, quartz and cairo devices)
##D d + scale_colour_hue(alpha = 0.9)
##D d + scale_colour_hue(alpha = 0.5)
##D d + scale_colour_hue(alpha = 0.2)
## End(Not run)


