### Name: stat_bin2d
### Title: stat_bin2d
### Aliases: stat_bin2d StatBin2d
### Keywords: hplot

### ** Examples
## Not run: 
##D d <- ggplot(diamonds, aes(carat, price))
##D d + stat_bin2d()
##D d + geom_bin2d()
##D 
##D # You can control the size of the bins by specifying the number of
##D # bins in each direction:
##D d + stat_bin2d(bins = 10)
##D d + stat_bin2d(bins = 30)
##D 
##D # Or by specifying the width of the bins
##D d + stat_bin2d(binwidth = c(1, 1000))
##D d + stat_bin2d(binwidth = c(.1, 500))
##D 
##D # Or with a list of breaks
##D x <- seq(min(diamonds$carat), max(diamonds$carat), by = 0.1)
##D y <- seq(min(diamonds$price), max(diamonds$price), length = 50)
##D d + stat_bin2d(breaks = list(x = x, y = y))
##D 
##D # With qplot
##D qplot(x, y, data = diamonds, geom="bin2d", 
##D   xlim = c(4, 10), ylim = c(4, 10))
##D qplot(x, y, data = diamonds, geom="bin2d", binwidth = c(0.1, 0.1),
##D   xlim = c(4, 10), ylim = c(4, 10))
## End(Not run)


