### Name: stat_contour
### Title: stat_contour
### Aliases: stat_contour StatContour
### Keywords: hplot

### ** Examples
## Not run: 
##D # Generate data
##D volcano3d <- melt(volcano)
##D names(volcano3d) <- c("x", "y", "z")
##D 
##D # Basic plot
##D v <- ggplot(volcano3d, aes(x, y, z = z))
##D v + stat_contour()
##D 
##D # Setting bins creates evenly spaced contours in the range of the data
##D v + stat_contour(bins = 2)
##D v + stat_contour(bins = 10)
##D 
##D # Setting binwidth does the same thing, parameterised by the distance
##D # between contours
##D v + stat_contour(binwidth = 2)
##D v + stat_contour(binwidth = 5)
##D v + stat_contour(binwidth = 10)
##D v + stat_contour(binwidth = 2, size = 0.5, colour = "grey50") +
##D   stat_contour(binwidth = 10, size = 1)
##D 
##D # Add aesthetic mappings
##D v + stat_contour(aes(size = ..level..))
##D v + stat_contour(aes(colour = ..level..))
##D 
##D # Change scale
##D v + stat_contour(aes(colour = ..level..), size = 2) + 
##D   scale_colour_gradient(low = "brown", high = "white")
##D 
##D # Set aesthetics to fixed value
##D v + stat_contour(colour = "red")
##D v + stat_contour(size = 2, linetype = 4)
##D 
##D # Try different geoms
##D v + stat_contour(geom="polygon", aes(fill=..level..))
##D v + geom_tile(aes(fill = z)) + stat_contour()
##D 
##D # Use qplot instead
##D qplot(x, y, z, data = volcano3d, geom = "contour")
##D qplot(x, y, z, data = volcano3d, stat = "contour", geom = "path")
## End(Not run)


