### Name: stat_density2d
### Title: stat_density2d
### Aliases: stat_density2d StatDensity2d
### Keywords: hplot

### ** Examples
## Not run: 
##D m <- ggplot(movies, aes(x=rating, y=length)) + geom_point() + scale_y_continuous(limits=c(1, 500))
##D m + geom_density2d()
##D 
##D dens <- MASS::kde2d(movies$rating, movies$length, n=100)
##D densdf <- data.frame(expand.grid(rating = dens$x, length = dens$y), z=as.vector(dens$z))
##D m + geom_contour(aes(z=z), data=densdf)
##D 
##D m + geom_density2d() + scale_y_log10()
##D m + geom_density2d() + coord_trans(y="log10")
##D 
##D m + stat_density2d(aes(fill = ..level..), geom="polygon")
##D 
##D qplot(rating, length, data=movies, geom=c("point","density2d"), ylim=c(1, 500))
##D 
##D # If you map an aesthetic to a categorical variable, you will get a
##D # set of contours for each value of that variable
##D qplot(rating, length, data = movies, geom = "density2d", 
##D   colour = factor(Comedy), ylim = c(0, 150))
##D qplot(rating, length, data = movies, geom = "density2d", 
##D   colour = factor(Action), ylim = c(0, 150))
##D qplot(carat, price, data = diamonds, geom = "density2d", colour = cut)
##D 
##D # Another example ------
##D d <- ggplot(diamonds, aes(carat, price)) + xlim(1,3)
##D d + geom_point() + geom_density2d()
##D 
##D # If we turn contouring off, we can use use geoms like tiles:
##D d + stat_density2d(geom="tile", aes(fill = ..density..), contour = FALSE)
##D last_plot() + scale_fill_gradient(limits=c(1e-5,8e-4))
##D 
##D # Or points:
##D d + stat_density2d(geom="point", aes(size = ..density..), contour = FALSE)
## End(Not run)


