### Name: stat_smooth
### Title: stat_smooth
### Aliases: stat_smooth StatSmooth
### Keywords: hplot

### ** Examples
## Not run: 
##D c <- ggplot(mtcars, aes(y=wt, x=qsec))
##D c + stat_smooth() 
##D c + stat_smooth() + geom_point()
##D 
##D # Adjust parameters
##D c + stat_smooth(se = FALSE) + geom_point()
##D 
##D c + stat_smooth(span = 0.9) + geom_point()  
##D c + stat_smooth(method = "lm") + geom_point()  
##D c + stat_smooth(method = lm, formula = y ~ ns(x,3)) + geom_point()  
##D c + stat_smooth(method = MASS::rlm, formula= y ~ ns(x,3)) + geom_point()  
##D 
##D # The default confidence band uses a transparent colour. 
##D # This currently only works on a limited number of graphics devices 
##D # (including Quartz, PDF, and Cairo) so you may need to set the
##D # fill colour to a opaque colour, as shown below
##D c + stat_smooth(fill="grey50", size=2)
##D c + stat_smooth(fill="blue", size=2)
##D 
##D # The colour of the line can be controlled with the colour aesthetic
##D c + stat_smooth(fill="blue", colour="darkblue", size=2)
##D c + stat_smooth(fill=alpha("blue", 0.2), colour="darkblue", size=2)
##D c + geom_point() + stat_smooth(fill=alpha("blue", 0.2), colour="darkblue", size=2)
##D 
##D # Smoothers for subsets
##D c <- ggplot(mtcars, aes(y=wt, x=mpg)) + facet_grid(. ~ cyl)
##D c + stat_smooth(method=lm) + geom_point() 
##D c + stat_smooth(method=lm, fullrange=T) + geom_point() 
##D 
##D # Geoms and stats are automatically split by aesthetics that are factors
##D c <- ggplot(mtcars, aes(y=wt, x=mpg, colour=factor(cyl)))
##D c + stat_smooth(method=lm) + geom_point() 
##D c + stat_smooth(method=lm, fullrange=TRUE, fill=alpha("black", 0.1)) + geom_point() 
##D 
##D # Use qplot instead
##D qplot(qsec, wt, data=mtcars, geom=c("smooth", "point"))
##D 
##D # Example with logistic regression
##D data("kyphosis", package="rpart")
##D qplot(Age, Kyphosis, data=kyphosis)
##D qplot(Age, data=kyphosis, facets = . ~ Kyphosis, binwidth = 10)
##D qplot(Age, Kyphosis, data=kyphosis, position="jitter")
##D qplot(Age, Kyphosis, data=kyphosis, position=position_jitter(y=5))
##D 
##D qplot(Age, as.numeric(Kyphosis) - 1, data = kyphosis) +
##D   stat_smooth(method="glm", family="binomial")
##D qplot(Age, as.numeric(Kyphosis) - 1, data=kyphosis) +
##D   stat_smooth(method="glm", family="binomial", formula = y ~ ns(x, 2))
##D 
## End(Not run)


